namespace :gettext do
  
  desc "Find translations for rails_i18n_gettext"
  task :find, [:scope] do |t, args|
    scope = args[:scope] || ""
    extnames = "rb,erb,haml,slim,rhtml,coffee"
    paths    = %w(app/models app/views app/controllers)
    files = paths.map {|path|
       Dir.glob(Rails.root.join(path, scope, "**/*.{#{extnames}}"))
    }.flatten!
    
    translations = []
    
    files.each do |file|
      File.open(file, "r")  do |infile|
        lines = infile.readlines
        
        lines.each do |line|
          
          if m = line.match(/ _\('([^']+)'\)  /x)
            translations << m[1]
          end

          if m = line.match(/ _\("([^"]+)"\)  /x)
            translations << m[1]
          end
          
        end
        
      end
    end
    
    
    translations.uniq|
    translations.each do |translate_me| 
      puts "#{translate_me.inspect}: #{translate_me.inspect}"
    end
    
  end
end